{
	"name": "form/nc/erp-sync/finvoice/column/finvoice-file-list.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"variable": "calc.file_name",
			"name": "File",
			"width": 220
		},
		{
			"variable": "calc.file_change",
			"name": "File change",
			"name_fi": "Muutos",
			"type": "timestamp",
			"format": "%Y-%m-%d %H:%M:%S",
			"width": 150
		},
		{
			"change_compare": false,
			"variable": "ord.json_data.error",
			"name": "Error",
			"width": 100,
			"cell_class_rules": {
				"darkred": "x && x != ''"
			}
		},
		{
			"field": "ord.company_reference_number",
			"name": "Order",
			"name_fi": "Tilaus",
			"width": 90
		},
		{
			"field": "ord.order_date",
			"name": "Ord. date",
			"type": "date",
			"name_fi": "Tilaus pv",
			"width": 90
		},
		{
			"change_compare": false,
			"field": "ord.company_id",
			"name_fi": "Asiakas",
			"width": 110
		},
		{
			"field": "ord.price_without_vat",
			"name": "Prie vat 0%",
			"name_fi": "Hinta alv 0%",
			"format": "%'.2f",
			"width": 110
		},
		{
			"field": "ord.currency_id",
			"name": "Curr.",
			"name_fi": "Valuutta",
			"width": 60
		},
		{
			"field": "ord.your_reference",
			"name": "Your ref.",
			"name_fi": "Viiteenne",
			"width": 110
		},
		{
			"field": "ord.json_data.mark",
			"name": "Mark",
			"name_fi": "Merkki",
			"width": 110
		},
		{
			"field": "ord.info",
			"name_fi": "Lisätietoja",
			"width": 200
		},
		{
			"change_compare": false,
			"variable": "ordr",
			"name": "Ord. row",
			"width": 110
		},
		{
			"field": "ord.json_data",
			"name": "Json data",
			"width": 110
		},
		{
			"field": "ord.vat_price",
			"name_fi": "Alv",
			"format": "%'.2f",
			"width": 90
		},
		{
			"variable": "ord.price_with_vat",
			"name_fi": "Hinta yht.",
			"format": "%'.2f",
			"width": 110
		},
		{
			"change_compare": false,
			"field": "ord.order_state",
			"name": "State",
			"name_fi": "Tila",
			"width": 60
		},
		{
			"change_compare": false,
			"variable": "ord.json_data.dtd",
			"name": "DTD path",
			"width": 450
		},
		{
			"change_compare": false,
			"hide": true,
			"field": "ord.record_id",
			"name": "Record id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.json_data.delivery_address",
			"name": "Toim. osoite",
			"width": 100
		},
		{
			"field": "ord.json_data.invoicing_address",
			"name": "Lask. osoite",
			"width": 100
		},
		{
			"field": "ordr.row_number",
			"name": "Rivi",
			"width": 50
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Osatoim.",
			"width": 70
		},
		{
			"field": "co.name",
			"name": "As. nimi",
			"width": 120
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Osatoim.",
			"width": 40
		},
		{
			"field": "ordr.product_id",
			"name": "Tuote",
			"width": 70
		},
		{
			"field": "ordr.unit_price",
			"name": "á hinta",
			"width": 60
		},
		{
			"field": "ordr.order_amount",
			"name": "unit",
			"name_fi": "Määrä",
			"width": 60
		},
		{
			"field": "ordr.vat_price",
			"name": "alv",
			"width": 70
		}
	]
}
